## axiom 20091101

=== Makefile ===
VERSION:="Axiom (November 2009)"
SPD:=$(shell pwd)
SYS:=$(notdir $(AXIOM))
SPAD:=${SPD}/mnt/${SYS}
LSP:=${SPD}/lsp
#GCLVERSION=gcl-2.4.1
#GCLVERSION=gcl-2.5
#GCLVERSION=gcl-2.5.2
#GCLVERSION=gcl-2.6.1
#GCLVERSION=gcl-2.6.2
#GCLVERSION=gcl-2.6.2a
#GCLVERSION=gcl-2.6.3
#GCLVERSION=gcl-2.6.5
#GCLVERSION=gcl-2.6.6
#GCLVERSION=gcl-2.6.7pre
#GCLVERSION=gcl-2.6.7
#GCLVERSION=gcl-2.6.8pre
#GCLVERSION=gcl-2.6.8pre2
GCLVERSION=gcl-2.6.8pre3 
AWK:=gawk
GCLDIR:=${LSP}/${GCLVERSION}
SRC:=${SPD}/src
INT:=${SPD}/int
OBJ:=${SPD}/obj
MNT:=${SPD}/mnt
ZIPS:=${SPD}/zips
BOOKS:=${SPD}/books
TMP:=${OBJ}/tmp
SPADBIN:=${MNT}/${SYS}/bin
INC:=${SPD}/src/include
CCLBASE:=${OBJ}/${SYS}/ccl/ccllisp
DESTDIR:=/usr/local/axiom
COMMAND:=${DESTDIR}/mnt/${SYS}/bin/axiom
DOCUMENT:=${SPADBIN}/document
TANGLE:=${SPADBIN}/lib/notangle
WEAVE:=${SPADBIN}/lib/noweave
NOISE:="-o ${TMP}/trace"
PATCH:=patch
UNCOMPRESS:=gunzip

PART=	cprogs
SUBPART= everything


ENV:= SPAD=${SPAD} SYS=${SYS} SPD=${SPD} LSP=${LSP} GCLDIR=${GCLDIR} \
     SRC=${SRC} INT=${INT} OBJ=${OBJ} MNT=${MNT} ZIPS=${ZIPS} TMP=${TMP} \
     SPADBIN=${SPADBIN} INC=${INC} CCLBASE=${CCLBASE} PART=${PART} \
     SUBPART=${SUBPART} NOISE=${NOISE} GCLVERSION=${GCLVERSION} \
     TANGLE=${TANGLE} VERSION=${VERSION} PATCH=${PATCH} DOCUMENT=${DOCUMENT} \
     WEAVE=${WEAVE} UNCOMPRESS=${UNCOMPRESS} BOOKS=${BOOKS}

all: noweb ${MNT}/${SYS}/bin/document
	@ echo p1 making a parallel system build
	@ echo 1 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 2 Environment ${ENV}
	@ ${TANGLE} -t8 -RMakefile.${SYS} Makefile.pamphlet >Makefile.${SYS}
	@ ${DOCUMENT} Makefile
	@ mkdir -p ${MNT}/${SYS}/doc/src
	@ cp Makefile.dvi ${MNT}/${SYS}/doc/src/root.Makefile.dvi
	@ echo p2 starting parallel make of books
	@ echo p3 ${SPD}/books/Makefile from ${SPD}/books/Makefile.pamphlet
	@ ( cd ${SPD}/books ; \
           ${DOCUMENT} ${NOISE} Makefile ; \
           cp Makefile.dvi ${MNT}/${SYS}/doc/src/books.Makefile.dvi ; \
	   ${ENV} ${MAKE} & )
	@ echo p4 starting parallel make of input documents
	@ ${ENV} ${MAKE} parallelinput ${NOISE} &
	@ echo p5 starting parallel make of xhtml documents
	@ ${ENV} ${MAKE} parallelxhtml ${NOISE} &
	@ echo p6 starting parallel make of help
	@ ${ENV} $(MAKE) parallelhelp ${NOISE} &
	@ echo p7 starting parallel make of src
	@ ${ENV} $(MAKE) -f Makefile.${SYS} 
	@ echo 3 finished system build on `date` | tee >lastBuildDate

parallelhelp:
	@ echo p8 parallel making of help files
	@ ( mkdir -p ${MNT}/${SYS}/doc/spadhelp ; \
	    mkdir -p ${INT}/input ; \
	    cd ${SRC}/algebra ; \
	    ${TANGLE} -t8 Makefile.pamphlet >Makefile.help ; \
	    ${ENV} $(MAKE) -f Makefile.help parallelhelp )

parallelinput:
	@ echo p9 parallel making input documents
	@ ( mkdir -p ${MNT}/${SYS}/doc/src/input ; \
            cd ${MNT}/${SYS}/doc/src/input ; \
	    cp ${SRC}/scripts/tex/axiom.sty . ; \
	    for i in `ls ${SRC}/input/*.input.pamphlet` ; \
              do latex $$i ; \
              done ; \
	     rm -f *~ ; \
	     rm -f *.pamphlet~ ; \
	     rm -f *.log ; \
	     rm -f *.tex ; \
	     rm -f *.toc ; \
	     rm -f *.aux )

parallelxhtml:
	@ echo p10 parallel making xhtml pages
	@mkdir -p ${MNT}/${SYS}/doc/hypertex/bitmaps
	@(cd ${MNT}/${SYS}/doc/hypertex ; \
	  ${TANGLE} -t8 ${SPD}/books/bookvol11.pamphlet >Makefile11 ; \
	  ${ENV} ${MAKE} -j 10 -f Makefile11 ; \
	  rm -f Makefile11 )

book:
	@ echo 79 building the book as ${MNT}/${SYS}/doc/book.dvi 
	@ mkdir -p ${TMP}
	@ mkdir -p ${MNT}/${SYS}/doc
	@ cp ${SRC}/doc/book.pamphlet ${MNT}/${SYS}/doc
	@ cp -pr ${SRC}/doc/ps ${MNT}/${SYS}/doc
	@ (cd ${MNT}/${SYS}/doc ; \
          if [ .${NOISE} = . ] ; then \
	    ( latex book.pamphlet --interaction nonstopmode ; \
	      latex book.pamphlet --interaction nonstopmode ) ; \
	   else \
	    ( latex book.pamphlet --interaction nonstopmode >${TMP}/trace ; \
	      latex book.pamphlet --interaction nonstopmode >${TMP}/trace ) ; \
	  fi ; \
	  rm book.pamphlet ; \
	  rm book.toc ; \
	  rm book.log ; \
	  rm book.aux )
	@ echo 80 The book is at ${MNT}/${SYS}/doc/book.dvi 

noweb:
	@echo 13 making noweb
	@mkdir -p ${OBJ}/noweb
	@mkdir -p ${TMP}
	@mkdir -p ${MNT}/${SYS}/bin/lib
	@( cd ${OBJ}/noweb ; \
	tar -zxf ${ZIPS}/noweb-2.10a.tgz ; \
	cd ${OBJ}/noweb/src/c ; \
	${PATCH} <${ZIPS}/noweb.modules.c.patch ; \
	cd ${OBJ}/noweb/src ; \
	${PATCH} <${ZIPS}/noweb.src.Makefile.patch ; \
	./awkname ${AWK} ; \
	${ENV} ${MAKE} BIN=${MNT}/${SYS}/bin/lib LIB=${MNT}/${SYS}/bin/lib \
                MAN=${MNT}/${SYS}/bin/man \
                TEXINPUTS=${MNT}/${SYS}/bin/tex all install >${TMP}/trace )
	@echo The file marks the fact that noweb has been made > noweb

nowebclean:
	@echo 14 cleaning ${OBJ}/noweb
	@rm -rf ${OBJ}/noweb
	@rm -f noweb

${MNT}/${SYS}/bin/document:
	@echo 0 ${ENV}
	@echo 10 copying ${SRC}/scripts to ${MNT}/${SYS}/bin
	@cp -pr ${SRC}/scripts/* ${MNT}/${SYS}/bin

install:
	@echo 78 installing Axiom in ${DESTDIR}
	@mkdir -p ${DESTDIR}
	@cp -pr ${MNT} ${DESTDIR}
	@echo '#!/bin/sh -' >${COMMAND}
	@echo AXIOM=${DESTDIR}/mnt/${SYS} >>${COMMAND}
	@echo export AXIOM >>${COMMAND}
	@echo PATH='$${AXIOM}/bin':'$${PATH}' >>${COMMAND}
	@echo export PATH >>${COMMAND}
	@cat ${INT}/sman/axiom >>${COMMAND}
	@chmod +x ${COMMAND}
	@echo 79 Axiom installation finished.
	@echo
	@echo Please add $(shell dirname ${COMMAND}) to your PATH variable
	@echo Start Axiom with the command $(shell basename ${COMMAND})
	@echo 


document: noweb ${MNT}/${SYS}/bin/document
	@ echo 4 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 5 Environment ${ENV}
	@ ${TANGLE} -t8 -RMakefile.${SYS} Makefile.pamphlet >Makefile.${SYS}
	@ ${ENV} $(MAKE) -f Makefile.${SYS} document
	@echo 6 finished system build on `date` | tee >lastBuildDate

clean: 
	@ echo 7 making a ${SYS} system, PART=${PART} SUBPART=${SUBPART}
	@ echo 8 Environment ${ENV}
	@ rm -f lsp/Makefile.dvi
	@ rm -f lsp/Makefile
	@ rm -rf lsp/gcl*
	@ rm -f noweb 
	@ rm -f trace
	@ rm -f Makefile.${SYS}
	@ rm -f Makefile.dvi
	@ rm -rf int
	@ rm -rf obj
	@ rm -rf mnt
	@ for i in `find . -name "*~"` ; do rm -f $$i ; done
	@ for i in `find src -name "Makefile"` ; do rm -f $$i ; done
	@ for i in `find src -name "Makefile.dvi"` ; do rm -f $$i ; done
	@ rm -f lastBuildDate

=== debian/changelog ===
axiom (20091101-7) unstable; urgency=low

  * Reinstate exposed.o in patch.merge
  * Bug fix: "draw() command doesn&#39;t work", thanks to Sebastian Dalfuß
    (Closes: #570386).
  * Bug fix: "Axiom is unusable - All the operations fail.", thanks to
    Stefano Simonucci (Closes: #574446).
  * Bug fix: "package purge (after dependencies removal) fails", thanks to
    Lucas Nussbaum (Closes: #574216).
  * 3.0 (quilt) source package format

 -- Camm Maguire <camm@debian.org>  Mon, 05 Apr 2010 21:39:22 +0000

axiom (20091101-6) unstable; urgency=low

  * fix arm build

 -- Camm Maguire <camm@debian.org>  Tue, 26 Jan 2010 22:05:39 +0000

axiom (20091101-5) unstable; urgency=low

  * fix build on non native-reloc platforms
  * lintian cleanups

 -- Camm Maguire <camm@debian.org>  Sat, 16 Jan 2010 02:08:56 +0000

axiom (20091101-4) unstable; urgency=low

  * fix build on non native-reloc platforms

 -- Camm Maguire <camm@debian.org>  Wed, 13 Jan 2010 21:24:57 +0000

axiom (20091101-3) unstable; urgency=low

  * fix build on non native-reloc platforms

 -- Camm Maguire <camm@debian.org>  Mon, 11 Jan 2010 17:51:36 +0000

axiom (20091101-2) unstable; urgency=low

  * Bug fix: "/usr/bin/ld: cannot find -lz", thanks to Cyril Brulebois
    (Closes: #563863).  Add zlib1g-dev build-dep

 -- Camm Maguire <camm@debian.org>  Wed, 06 Jan 2010 03:04:03 +0000

axiom (20091101-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "FTBFS on sparc, code.o&#39;: No such file or directory",
    thanks to Martin Zobel-Helas (Closes: #500997).
  * Bug fix: "FTBFS: /bin/sh: line 8:
    /build/user-axiom_20081101-2-amd64-CC4Atb/axiom-20081101/obj/linux/bin/lisp:
    No such file or directory", thanks to Lucas Nussbaum (Closes:
    #537022).
  * Bug fix: "replacing libreadline5-dev build dependency with
    libreadline-dev", thanks to Matthias Klose (Closes: #553730).

 -- Camm Maguire <camm@debian.org>  Tue, 05 Jan 2010 04:30:40 +0000

axiom (20081101-2) unstable; urgency=low

  * Bug fix: "Incorrect maintainer address.  email bounces", thanks to
    Mike O'Connor (Closes: #516191).  Changed to camm@debian.org
  * Bug fix: thanks to Chris Walker (Closes: #505300).
  * Bug fix: thanks to Didier Raboud (Closes: #475171).
  * Bug fix: thanks to Raphael Geissert (Closes: #450306).
    Updated watch file, but cannot distinguish gold sources from others.

 -- Camm Maguire <camm@debian.org>  Fri, 20 Feb 2009 21:01:37 +0000

axiom (20081101-1) unstable; urgency=low

  * New upstream release

 --  Camm Maguire <camm@debian.org>  Mon, 16 Feb 2009 20:13:35 +0000

axiom (20050901-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bump build-dependency on gcl.
    - Fixes breakage on amd64. Closes: #475170.
  * Fix remaining uses of ${Source-Version} in debian/control.
  * Replace obsolete build-dependencies x-dev and gs-gpl with
    x11proto-core-dev and ghostscript, respectively.

 -- Thomas Viehmann <tv@beamnet.de>  Sat, 20 Sep 2008 02:13:21 +0200

axiom (20050901-10) unstable; urgency=low

  * build-dep on latest gcl
  * Bug fix: "i386 build of axiom is missing all shlibs dependencies",
    thanks to peter green (Closes: #446960). rebuild
  * Bug fix: "axiom: not binNMU safe", thanks to Lior Kaplan (Closes:
    #432942).apply patch -- thanks!
  * Bug fix: "Bashism in debian/rules", thanks to Soren Hansen (Closes:
    #401238).apply patch -- thanks!
  * Bug fix: "Please add depedence on texlive", thanks to Elmar Teufl
    (Closes: #406057).dependence added
  * Bug fix: "axiom: Build-Depends should also allow texlive", thanks to
    didischuster@gmx.de (Dieter Schuster) (Closes: #406197).dep modified

 -- Camm Maguire <camm@enhanced.com>  Mon, 03 Dec 2007 17:37:40 -0500

axiom (20050901-9) unstable; urgency=low

  * Fix sock_get_string_buf, Closes: #328480

 -- Camm Maguire <camm@enhanced.com>  Wed,  1 Nov 2006 16:22:50 -0500

axiom (20050901-8) unstable; urgency=low

  * Fix graphics display bug in debian/patch.all 

 -- Camm Maguire <camm@enhanced.com>  Thu, 26 Oct 2006 15:56:12 -0400

axiom (20050901-7) unstable; urgency=low

  * Fix build-depends, Closes: #376017
  * recompile with latest debhelper, Closes: #381768
  * Fix spelling mistake, Closes: #362748

 -- Camm Maguire <camm@enhanced.com>  Wed, 18 Oct 2006 21:16:28 -0400

axiom (20050901-6) unstable; urgency=low

  * Add build dep on libxpm-dev, Closes: 360133.

 -- Camm Maguire <camm@enhanced.com>  Fri, 31 Mar 2006 13:46:43 +0000

axiom (20050901-5) unstable; urgency=low

  * Patch src/doc/book.pamphlet to remove erroneous monospace type,
    Closes: #347199.
  * Fix xlibs-deb dependency for xorg transition, Closes: #346717.
  * Fix editing script to conditionally run sman, Closes: #344346.
  * Fix native-reloc code in Makefile patch (patch.merge), Closes:
    #358548.
  * Rebuild against latest libxpm-dev, Closes: 357702.
  * Fix axiom-databases source version dependency, Closes: 349502.
  * latest source (20050901) fixes htsearch, Closes: #357130.
  * Fix manpage formatting, Closes: #349901.

 -- Camm Maguire <camm@enhanced.com>  Tue, 28 Mar 2006 21:20:17 +0000

axiom (20050901-4) unstable; urgency=low

  * Add autoload/postprop.lsp to axiom package
  * Add $AXIOM/bin to path in shell script wrapper

 -- Camm Maguire <camm@enhanced.com>  Mon,  7 Nov 2005 22:54:12 +0000

axiom (20050901-3) unstable; urgency=low

  * build depend on >= gcl 2.6.7-10 to get ppc gcc configure fix

 -- Camm Maguire <camm@enhanced.com>  Thu, 13 Oct 2005 18:38:47 +0000

axiom (20050901-2) unstable; urgency=low

  * Build-depend on gcl >= 2.6.7-7 to get dlopen fix needed for mips,
    alpha, hppa, and ia64
  * rework build strategy switching based on the native-reloc feature in
    the installed gcl.

 -- Camm Maguire <camm@enhanced.com>  Thu, 29 Sep 2005 17:32:36 +0000

axiom (20050901-1) unstable; urgency=high

  * New upstream release
  * Remove binutils-dev dependency, in gcl proper now, >= gcl 2.6.7-6.
  * libreadline5-dev as build dependency, Closes: #326386.


=== debian/control ===
Source: axiom
Section: math
Priority: optional
Maintainer: Camm Maguire <camm@debian.org>
Build-Depends: debhelper ( >= 5 ), gcl ( >= 2.6.7-53), libgmp3-dev, libncurses5-dev, libreadline-dev, libx11-dev, libxt-dev, x11proto-core-dev,  libxpm-dev, x11-common,  texlive-latex-base,  gawk, sharutils, ghostscript, gsfonts, libxmu-dev, libxaw7-dev, zlib1g-dev
Standards-Version: 3.8.4

Package: axiom
Architecture: any
Depends: ${shlibs:Depends}, axiom-databases (= ${source:Version}), ${misc:Depends}
Recommends: axiom-source, axiom-doc, axiom-graphics, axiom-hypertex
Suggests: texmacs, axiom-tex, axiom-test, nowebm
Description: A general purpose computer algebra system: main binary and modules
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the main program binary and all precompiled
 algebra and autoloadable modules.

Package: axiom-source
Architecture: all
Depends: ${misc:Depends}
Description: A general purpose computer algebra system: source files
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains source files in Axiom's native spad language
 for the compiled algebra modules supplied in the axiom package.
 .

Package: axiom-test
Architecture: all
Depends: axiom (>= ${source:Version}), ${misc:Depends}
Description: A general purpose computer algebra system: regression test inputs
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains input files for Axiom's regression test suite.

Package: axiom-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: A general purpose computer algebra system: documentation
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains all documentation, including the Axiom book in
 dvi format with all postscript images.

Package: axiom-databases
Architecture: all
Depends: ${misc:Depends}
Description: A general purpose computer algebra system: generated text databases
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the text databases generated during the build
 process used in computing the hierarchical domain structure, among
 other uses.

Package: axiom-tex
Architecture: all
Depends: texlive-latex-recommended, ${misc:Depends}
Description: A general purpose computer algebra system: style file for TeX
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains a TeX style file useful in publishing results
 obtained with Axiom.

Package: axiom-graphics
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-graphics-data (= ${source:Version}), ${misc:Depends}
Description: A general purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the graphics subsystem.
 The programs in this package allow axiom to draw plots to separate
 windows in X as well as to output files in postscript format.

Package: axiom-graphics-data
Architecture: all
Depends: ${misc:Depends}
Description: A general purpose computer algebra system: graphics subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom graphics
 subsystem.

Package: axiom-hypertex
Architecture: any
Depends: ${shlibs:Depends}, axiom (= ${binary:Version}), axiom-hypertex-data (= ${source:Version}), ${misc:Depends}
Description: A general purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains the binaries for the hypertex subsystem.
 The programs in this package provide an interactive online help
 system describing the many axiom commands.

Package: axiom-hypertex-data
Architecture: all
Depends: ${misc:Depends}
Description: A general purpose computer algebra system: hypertex subsystem
 Axiom is useful for
 research and development of mathematical algorithms. It defines a
 strongly typed, mathematically correct type hierarchy. It has a
 programming language and a built-in compiler.
 .
 Axiom has been in development since 1973 and was sold as a
 commercial product. It has been released as free software.
 .
 Efforts are underway to extend this software to (a) develop a
 better user interface (b) make it useful as a teaching tool
 (c) develop an algebra server protocol (d) integrate additional
 mathematics (e) rebuild the algebra in a literate programming style
 (f) integrate logic programming (g) develop an Axiom Journal with
 refereed submissions.
 .
 This package contains required data files for the axiom hypertex
 subsystem.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#VER:=$(shell basename `pwd` | sed 's,.*-,,1')
PN:=axiom
VER:=$(shell awk '{if (i) next;i=1;a=$$2;gsub("[()]","",a);split(a,A,"-");print A[1];}' debian/changelog)
PD:=$(PN)-$(VER)

export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

#NO_SAVE_SYS?=
#ARCHT:=$(shell dpkg --print-architecture)

#ARCHT:=$(DEB_BUILD_ARCH)
#ifeq ($(ARCHT),ia64)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),mips)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),mipsel)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),hppa)
#NO_SAVE_SYS:=t
#endif
#ifeq ($(ARCHT),alpha)
#NO_SAVE_SYS:=t
#endif

ifeq ($(ARCHT),powerpc)
NO_STRIP:=--exclude=axiom
endif

debian/patches_applied: 
	! [ -e debian/patches_unapplied ] || patch -p0 <debian/patch.all
#	! [ -e debian/patches_unapplied ] || [ "$(NO_SAVE_SYS)" = "" ] || patch -p0 <debian/patch.save
#	! [ -e debian/patches_unapplied ] || [ "$(NO_SAVE_SYS)" != "" ] || patch -p0 <debian/patch.nosave
	! [ -e debian/patches_unapplied ] || patch -p0 <debian/patch.merge
	rm -f debian/patches_unapplied
	touch $@

debian/patches_unapplied: 
	! [ -e debian/patches_applied ] || patch -R  -p0 <debian/patch.all
#	! [ -e debian/patches_applied ] || [ "$(NO_SAVE_SYS)" = "" ] || patch -R -p0 <debian/patch.save
#	! [ -e debian/patches_applied ] || [ "$(NO_SAVE_SYS)" != "" ] || patch -R -p0 <debian/patch.nosave
	! [ -e debian/patches_applied ] || patch -R -p0 <debian/patch.merge
	rm -f debian/patches_applied
#	touch $@
	echo foo > $@

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp debian/patches_applied
	dh_testdir

#	[ "$(NO_SAVE_SYS)" = "" ] || \
#		( mkdir -p $(CURDIR)/mnt/linux/algebra && cp debian/*aase mnt/linux/algebra/ )

	mkdir -p $(CURDIR)/mnt/linux/algebra
	cp -pr src/share/algebra/*.daase mnt/linux/algebra

	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	while sleep 1800 ; do echo tick; done & j=$$!; \
	$(MAKE) PASS1=t ; i=$$? ; \
	kill $$j || true ; exit $$i

	find -name "*.lsp" -exec touch {} \;
	find -name "*.lisp" -exec touch {} \;

	export AXIOM=$(CURDIR)/mnt/linux ; \
	export PATH=$$AXIOM/bin:$$PATH ; \
	while sleep 1800 ; do echo tick; done & j=$$!; \
	$(MAKE)  ; i=$$? ; \
	kill $$j || true ; exit $$i

	find mnt/linux -name bessintr.eps -exec rm {} \;
	find mnt/linux -name htsearch -exec chmod 755 {} \;
	find mnt/linux -name command.list -exec chmod -x {} \;
	for i in $$(find mnt/linux -name presea); do cat $$i | sed 's,!/bin/awk,!/usr/bin/awk,1' >tmp && mv tmp $$i; done
	find mnt/linux -name presea -exec chmod 755 {} \;

	echo ")lisp (progn (setq compiler::*default-system-p* nil)(si::save-system \"foo\"))" | AXIOM=$(CURDIR)/mnt/linux $(CURDIR)/mnt/linux/bin/AXIOMsys && mv foo mnt/linux/bin/AXIOMsys

	touch build-stamp

IFS:=$(addprefix debian/,axiom.install axiom.links axiom-doc.install axiom-doc.links axiom-source.install axiom-source.links axiom-test.install axiom-test.links axiom-databases.install axiom-databases.links axiom-tex.install axiom-graphics.install axiom-graphics-data.install axiom-hypertex.install axiom-hypertex-data.install )

fooclean:
	rm -f $(IFS)

clean: debian/patches_unapplied
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	set

	AXIOM=$(CURDIR)/mnt/linux  \
	C_INCLUDE_PATH=/usr/include:$C_INCLUDE_PATH \
	$(MAKE) clean
	rm -f lsp/Makefile.dvi src/algebra/Makefile.dvi src/input/Makefile.dvi obj/noweb/contrib/kostas/Makefile obj/noweb/src/c/notangle.o obj/noweb/src/c/getline.o obj/noweb/src/c/match.o obj/noweb/src/c/modules.o obj/noweb/src/c/modtrees.o obj/noweb/src/c/strsave.o obj/noweb/src/c/main.o obj/noweb/src/c/errors.o obj/noweb/src/c/columns.o obj/noweb/src/c/nt obj/noweb/src/c/markmain.o obj/noweb/src/c/markup.o obj/noweb/src/c/markup obj/noweb/src/c/mnt.o obj/noweb/src/c/mnt obj/noweb/src/c/finduses.o obj/noweb/src/c/recognize.o obj/noweb/src/c/finduses mnt/bin/lib/nt mnt/bin/lib/markup mnt/bin/lib/mnt mnt/bin/lib/finduses mnt/bin/Makefile.dvi  Makefile.dvi src/Makefile.dvi src/interp/Makefile.dvi src/doc/Makefile.dvi
	rm -f lsp/Makefile src/Makefile src/boot/Makefile src/clef/Makefile src/doc/Makefile src/etc/Makefile src/input/Makefile src/interp/Makefile src/lib/Makefile src/scripts/Makefile src/share/Makefile 
	rm -f src/algebra/Makefile lastBuildDate
	find -name Makefile.dvi -exec rm {} \;
	rm -f Makefile.linux
	rm -f $(IFS)
	rm -rf debian/axiom_tutorialu debian/bin debian/axiom.1
	find -mindepth 2 -name Makefile -exec rm {} \;
	rm -f books/tangle.o
	rm -f *.output axiom.sty libdb.text
	rm -f $$(find -name axiom.sty | grep -v src/scripts/tex)
	rm -rf kaf*.sdata
	rm -f src/interp/book*.pamphlet src/algebra/book*.pamphlet
	dh_clean 

debian/axiom.install: 
	find mnt/linux -name "*.o" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux -name "*.lsp" | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/bin/* -newer mnt/linux/bin/Makefile.pamphlet -maxdepth 0 -type f | grep -v /h[yt] | grep -v /view | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	find mnt/linux/lib/* | grep -v copyright | grep -v /h[yt] | grep -v /view | grep -v /graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo debian/bin/axiom usr/bin >>$@
	echo debian/axiom.1 usr/share/man/man1 >>$@

debian/axiom-graphics.install: 
	find mnt/linux/bin/view* mnt/linux/lib/view* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-graphics-data.install: 
	echo mnt/linux/lib/graph | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@
	echo mnt/linux/doc/viewports | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom-hypertex.install: 
	find mnt/linux/bin/h[ty]* mnt/linux/lib/h[ty]* | awk '{a=$$1;sub("/[^/]*$$","",a);sub("mnt/linux/","",a);printf("%s usr/lib/$(PD)/%s\n",$$1,a);}' >>$@

debian/axiom-hypertex-data.install: 
	echo mnt/linux/doc/hypertex | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/bitmaps | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo mnt/linux/doc/ht.db | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	find mnt/linux/doc/*.pamphlet | awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@

debian/axiom.links:
	echo usr/share/doc/axiom/copyright usr/lib/$(PD)/lib/copyright >>$@
#	echo usr/bin/axiom usr/bin/AXIOMsys >>$@
	echo usr/share/man/man1/axiom.1 usr/share/man/man1/AXIOMsys.1 >>$@

debian/axiom-doc.install: debian/axiom-hypertex-data.install debian/axiom-graphics-data.install
	find mnt/linux/doc/* -maxdepth 0 | \
		$(shell cat $^ | awk '{print "grep -v " $$1 " | "}') \
		awk '{printf("%s usr/share/doc/axiom-doc\n",$$1);}' >>$@
	echo debian/axiom_tutorialu usr/share/doc/axiom-doc >>$@

debian/axiom-doc.links:
	echo usr/share/doc/axiom-doc usr/lib/$(PD)/doc >>$@

debian/axiom-source.install:
	echo mnt/linux/src usr/share/$(PD) >>$@

debian/axiom-source.links:
	echo usr/share/$(PD)/src usr/lib/$(PD)/src >>$@

debian/axiom-test.install:
	echo mnt/linux/input usr/share/$(PD) >>$@
	echo debian/test_results usr/share/doc/axiom-test >>$@
	echo debian/bin/axiom-test usr/bin >>$@
	echo debian/axiom-test.1 usr/share/man/man1 >>$@

debian/axiom-test.links:
	echo usr/share/$(PD)/input usr/lib/$(PD)/input >>$@

debian/axiom-databases.install:
